/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */

package ca.uvic.csr.shrimp.ScriptingBean;

import ca.uvic.csr.shrimp.LayoutConstants;
import ca.uvic.csr.shrimp.PanelModeConstants;
import ca.uvic.csr.shrimp.DisplayBean.DisplayConstants;

/**
 * This class collects constants to be used for scripting in SHriMP.
 * 
 * @author Chris Callendar
 */
public class ScriptingConstants {
	/**
	 * Zoom mode - ZOOM
	 */
	public static final String ZOOM = DisplayConstants.ZOOM;
	
	/**
	 * Zoom mode - MAGNIFY
	 */
	public static final String MAGNIFY = DisplayConstants.MAGNIFY;
	
	/**
	 * Zoom mode - FISHEYE
	 */
	public static final String FISHEYE = DisplayConstants.FISHEYE;
	
	
	// label modes

	/**
	 * Label mode - Above Node (fixed)
	 */
	public static final String FIXED = DisplayConstants.LABEL_MODE_FIXED;
	
	/**
	 * Label mode - On Node
	 */
	public static final String SCALE_BY_NODE_SIZE = DisplayConstants.LABEL_MODE_SCALE_BY_NODE_SIZE;
	
	/**
	 * Label mode - Above Node (level)
	 */
	public static final String SCALE_BY_LEVEL = DisplayConstants.LABEL_MODE_SCALE_BY_LEVEL;
	
	
	// layout names
	
	/**
	 * Layout method - Grid layout alphabetically
	 */
	public static final String GRID_BY_ALPHA = LayoutConstants.LAYOUT_GRID_BY_ALPHA;
	
	/**
	 * Layout method - Grid layout by number of children
	 */
	public static final String GRID_BY_NUM_CHILDREN = LayoutConstants.LAYOUT_GRID_BY_NUM_CHILDREN;
	
	/**
	 * Layout method - Grid layout by number of relationships
	 */
	public static final String GRID_BY_NUM_RELS = LayoutConstants.LAYOUT_GRID_BY_NUM_RELS;
	
	/**
	 * Layout method - Grid layout by artifact type
	 */
	public static final String GRID_BY_TYPE = LayoutConstants.LAYOUT_GRID_BY_TYPE;
	
	/**
	 * Layout method - Grid layout by attribute
	 */
	public static final String GRID_BY_ATTRIBUTE = LayoutConstants.LAYOUT_GRID_BY_ATTRIBUTE;
	
	/**
	 * Layout method - Spring layout
	 */
	public static final String SPRING = LayoutConstants.LAYOUT_SPRING;
	
	/**
	 * Layout method - Tree layout horizontal
	 */
	public static final String TREE_HORIZONTAL = LayoutConstants.LAYOUT_TREE_HORIZONTAL;
	
	/**
	 * Layout method - Tree layout vertical
	 */
	public static final String TREE_VERTICAL = LayoutConstants.LAYOUT_TREE_VERTICAL;
	
	/**
	 * Layout method - Radial layout
	 */
	public static final String RADIAL = LayoutConstants.LAYOUT_RADIAL;
	
	/**
	 * Layout method - Treemap layout
	 */
	public static final String TREEMAP = LayoutConstants.LAYOUT_TREEMAP;
	
	/**
	 * Layout method - LAYOUT_UML layout
	 */
	public static final String UML = LayoutConstants.LAYOUT_UML;
	
	/**
	 * Layout method - orthogonal layout (control flow diagram). 
	 */
	public static final String ORTHOGONAL = LayoutConstants.LAYOUT_ORTHOGONAL;

	/**
	 * Layout method - orthogonal layout (control flow diagram). 
	 */
	public static final String FORCE_DIRECTED = LayoutConstants.LAYOUT_FORCE_DIRECTED;

	/**
	 * Layout method - causes the selected node to wobble in a small circle highlighting
	 * the directly connected nodes.   
	 */
	public static final String MOTION = LayoutConstants.LAYOUT_MOTION;
		

	// panel modes
	
	/**
	 * Panel mode - CLOSED
	 */
	public static final String CLOSED = PanelModeConstants.CLOSED;
	
	/**
	 * Panel mode - Show children
	 */
	public static final String CHILDREN = PanelModeConstants.CHILDREN;

    /**
     * The default arc group for arcs with no other group specified.
     */
    protected static final String DEFAULT_GROUP = "Default Group";
	
}
