/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.gui.ShrimpView;

import java.awt.Container;

import ca.uvic.csr.shrimp.ShrimpProject.ShrimpProject;

/**
 * This interface defines a factory for creating a Shrimp View.
 * 
 * @author Rob Lintern
 */
public interface ShrimpViewFactory {
	
	/**
	 * @param project The project to be displayed in the Shrimp View
	 * @param shrimpViewContainer The GUI container to place the Shrimp View into.
	 * @return The newly created Shrimp View.
	 */
	public abstract ShrimpView createShrimpView(final ShrimpProject project, Container shrimpViewContainer);
}